%define anolis_release 16

%global subname Class-XSAccessor

Name:           perl-%{subname}
Summary:        Generate fast XS accessors without run-time compilation
Version:        1.19
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{subname}/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/%{subname}-%{version}.tar.gz
BuildRequires:  coreutils findutils
BuildRequires:  gcc make
BuildRequires:  perl-interpreter perl-devel perl-generators perl(Config) perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(XSLoader)
BuildRequires:  perl(constant) perl(Data::Dumper) perl(Test::More) perl(threads) perl(Time::HiRes)

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Class::XSAccessor::Heavy\\)

%description
Experience lightning-fast access to object attributes with Class::XSAccessor.
This powerful module utilizes XS to provide speedy read, write, and read/write
accessors, while also offering convenient predicate functions like "has_foo()"
to determine if the attribute "foo" is defined in the object. It seamlessly
integrates with objects that use ordinary hashes, and for those that use arrays,
there's Class::XSAccessor::Array - delivering the same impressive performance
and ease of use.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
Buildarch:      noarch

%description    doc
The includes documentation files for %{name}.

%prep
%setup -n %{subname}-%{version} -q

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete

find %{buildroot} -type f -name '*.bs' -empty -delete

%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class*
%{_mandir}/man3/Class::*

%files doc
%doc Changes
%doc README

%changelog
* Tue Apr 11 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.19-16
- Refactor the spec file

* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 1.19-15
- Import package for anolis 23
